/*
   Fichier trtligne.h
   Auteur Bernard Chardonneau
*/


/* liste des valeurs du champ Content-Type */

// masques pour les modes principaux
#define ModeTexte    2  // masque pour mode text/plain et text/html
#define Multipart    4  // masque pour tous les modes multipart

// mode message
#define Mesrfc822    1  // message/rfc822 (un mail dans un autre mail)

// modes texte
#define TextPlain    2  // text/plain (le texte du message qu'on va lire)
#define TextHtml     3  // text/html  (format texte des messages publicitaires)

// modes multipart
#define MultipRel    4  // multipart/related (intrrt ??????)
#define MultipAlter  5  // multipart/alternative (text/plain puis text/html)
#define MultipMixed  6  // multipart/mixed (ncessaire si pices jointes)
#define MultipRep    7  // multipart/report (plusieurs sections texte)

#define AutreType    0  // ni multipart, ni aucun des types texte prcdents


/* prototypes des fonctions de la bibliothque
   trtligne appeles de l'extrieur */

int  recup_ctype ();
void mem_encodage ();
int  lire_charset ();
void majligne ();
void conv_carhtm ();
void conv_carcontrole ();
void supavantbody ();
void sup_balhtm ();
void sup_multiblancs ();
int  posnomfic ();


/* variable globales  l'application utilise par trtligne
   (pour viter des tonnes de passages de paramtres) */

#ifdef appli
     int encodage_texte; // mode d'encodage du texte
     int avantbody;      // indique si on a trouv <body dans un mail en html
#else
     extern int encodage_texte;
     extern int avantbody;
#endif
